core::net::http::Client::Timings::Statistics Struct Reference

`#include <client.h>`

Collaboration diagram for core::net::http::Client::Timings::Statistics:

## Public Attributes

Seconds | max {Seconds::max()}
Seconds | min {Seconds::max()}
Seconds | mean {Seconds::max()}
Seconds | variance {Seconds::max()}

## Detailed Description

Definition at line 66 of file client.h.

## Member Data Documentation

## max

Seconds core::net::http::Client::Timings::Statistics::max {Seconds::max()}

Maximum duration that was encountered.

Definition at line 69 of file client.h.

## mean

Seconds core::net::http::Client::Timings::Statistics::mean {Seconds::max()}

Mean duration that was encountered.

Definition at line 73 of file client.h.

## min

Seconds core::net::http::Client::Timings::Statistics::min {Seconds::max()}

Minimum duration that was encountered.

Definition at line 71 of file client.h.

## variance

Seconds core::net::http::Client::Timings::Statistics::variance {Seconds::max()}

Variance in duration that was encountered.

Definition at line 75 of file client.h.

The documentation for this struct was generated from the following file:

- client.h